com.icesoft.faces.facelets.component.schedule

## Interface CalendarViewService

-     public interface CalendarViewService

  CalendarViewService defines what the UI is expecting to get back from the service layer for a given call. There is close to a one-one mapping of views to methods.

  A date cursor refers to a Calendar object which is set to some arbitrary date. The cursor is then used to "center" the calendar view on. For example the cursor 2009-06-01, represents a day, week 1, June or Year for the views day, week, month, year.
  Author:
    ICEfaces Technologies Inc.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `getCalendarDayEvents(java.util.Calendar dateCursor)` Gets all the events for the current user for the given day value in dateCursor.
    `java.util.List` | `getCalendarMonthEvents(java.util.Calendar dateCursor)` Gets all the events for the current user for the given Month value in dateCursor.
    `java.util.List` | `getCalendarWeekEvents(java.util.Calendar dateCursor)` Gets all the events for the current user for the given week value in dateCursor.
    `java.util.List` | `getCalendarYearEvents(java.util.Calendar dateCursor)` Gets all the events for the current users for the given Year given the year value dateCursor.

- - ### Method Detail

    - #### getCalendarYearEvents

          java.util.List getCalendarYearEvents(java.util.Calendar dateCursor)

      Gets all the events for the current users for the given Year given the year value dateCursor. The return values should be sorted by startDate and endDate to work correctly with UI.
      Parameters:
        `dateCursor` - users current date view; year.
      Returns:
        list of all events for the given year sorted by startDate and endDate of the event.

    - #### getCalendarMonthEvents

          java.util.List getCalendarMonthEvents(java.util.Calendar dateCursor)

      Gets all the events for the current user for the given Month value in dateCursor. The return values should be sorted by startDate and endDate to work correctly with UI.
      Parameters:
        `dateCursor` - users current date view; year and month.
      Returns:
        list of all events for the given month sorted by startDate and endDate of the event.

    - #### getCalendarWeekEvents

          java.util.List getCalendarWeekEvents(java.util.Calendar dateCursor)

      Gets all the events for the current user for the given week value in dateCursor. The return values should be sorted by startDate and endDate to work correctly with UI.
      Parameters:
        `dateCursor` - users current date view; year and month.
      Returns:
        list of all events for the given week sorted by startDate and endDate of the event.

    - #### getCalendarDayEvents

          java.util.List getCalendarDayEvents(java.util.Calendar dateCursor)

      Gets all the events for the current user for the given day value in dateCursor. The return values should be sorted by startDate and endDate to work correctly with UI.
      Parameters:
        `dateCursor` - users current date view; year and month.
      Returns:
        list of all events for the given day sorted by startDate and endDate of the event.

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.